%% 
%% bjsiam.cls
%% -- Class file for OYO SURI --
%% The Japan Society for Industrial and Applied Mathematics
%% 
%% ̃X^Ct@C̒쌠͓{pwɑ܂D
%% {pwupvւ̎MړIł݂̂gpD
%% ̃X^Ct@C̉ς܂͓]płf肵܂D
%% 쐬ɂOGɂъgXɊӂ܂D
%%
%% ₢킹Ȃǂ͉Lɂ肢܂D
%%
%%                     {pwupvҏWψ
%%                                      jsiam-oyosuri@jsiam.org
%% 
%% 11 March 2011, SANSHUSHA CO.LTD.
%% yϗz
%% 19 December 2013 v.0.87c
%% W^CgȂsC
%% 19 December 2013 v.0.87b
%% CAEgpXy[X̘g
%% 01 November 2013 v.0.87
%% ^Cgy[WɃCAEgp̃Xy[X}
%% 25 April 2013 v.0.86
%% MҏЉ̑̍قύX
%% 19 December 2012 v0.85
%% _2igɁDɕtĕMҏЉ̉
%%
%%
\NeedsTeXFormat{pLaTeX2e}[2000/11/03]
\ProvidesClass{bjsiam}[2013/04/25 v0.86 bjsiam class]
\hour\time \divide\hour by 60\relax
\@tempcnta\hour \multiply\@tempcnta 60\relax
\minute\time \advance\minute-\@tempcnta
\newif\ifpsfonts
\newif\iftwocol
\newif\iftokushu\tokushufalse
\newif\ifkantou\kantoufalse
\newif\ifgakkai\gakkaifalse
\newif\ifshohyo\shohyofalse
\newcounter{@headstyle}
\newcounter{@category}
\def\hs#1{\setcounter{@headstyle}{#1}}
\def\ctg#1{\def\@category{#1}}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\DeclareOption{kantou}{\hs{3}\ctg{  }\twocolfalse\kantoutrue}
%\DeclareOption{ronbun}{\hs{0}\twocoltrue}
\DeclareOption{ronbun}{\hs{0}\ctg{_@}\twocoltrue}
\DeclareOption{tokushuronbun}{\hs{0}\ctg{W_}\twocoltrue\tokushutrue}
\DeclareOption{industrial}{\hs{1}\ctg{C_XgA}eAY}\twocoltrue}
\DeclareOption{tutorial}{\hs{1}\ctg{`[gA}\twocoltrue}
\DeclareOption{forum}{\hs{1}\ctg{tH[}\twocoltrue}
\DeclareOption{laboratory}{\hs{1}\ctg{{g[Y}\twocoltrue}
\DeclareOption{gakujutsu}{\hs{1}\ctg{wp}\twocoltrue}
\DeclareOption{kenkyubukai}{\hs{1}\ctg{}\twocoltrue}
\DeclareOption{gakkaikiji}{\hs{4}\twocoltrue\gakkaitrue}
%\DeclareOption{book}{\hs{0}\twocoltrue\shohyotrue}
\DeclareOption{book}{\hs{1}\ctg{]}\twocoltrue\shohyotrue}
\DeclareOption{tombow}{%
  \tombowtrue \tombowdatetrue
  \setlength{\@tombowwidth}{.1\p@}%
  \@bannertoken{%
    \jobname\space:%
    \space\number\year/\two@digits\month/\two@digits\day
    (\two@digits\hour:\two@digits\minute)}
  \maketombowbox}
\DeclareOption{notombow}{\tombowfalse}
\DeclareOption{oneside}{\@twosidefalse}
\DeclareOption{twoside}{\@twosidetrue}
%\DeclareOption{psfonts}{\psfontstrue}
\DeclareOption{psfonts}{\psfontstrue}
\ExecuteOptions{final,tombow,twoside}
\ProcessOptions\relax
\RequirePackage{amsmath}
\ifpsfonts
	\input{bjsiam.fd} %\renewcommand{\mcdefault}{brml}
	\def\MidashiGo{\jmgb}
	\def\ShingoL{\jsgl}
	\def\ShingoLS{\jsglhvm} % ouj_a5c 09/11/18
	\def\ShingoB{\sgb}
	\def\ChapNumFont{\phvt}
	\def\NombreFont{\agmb}
	\def\IndexHeadFont{\jmgb}
\else
	\def\MidashiGo{\bf}
	\def\ShingoL{\bf}
	\def\ShingoLS{\bf} %ouj_a5c 09/11/18
	\def\ShingoB{\bf}
	\def\ChapNumFont{\bf}
	\def\NombreFont{\bf}
	\def\IndexHeadFont{\bf}
\fi
\DeclareFontShape{JY1}{mc}{m}{n}{<->s*[1.039] jis}{}
\DeclareFontShape{JY1}{gt}{m}{n}{<->s*[1.039] jisg}{}
\DeclareFontShape{OT1}{cmr}{m}{n}
  {<-6>  cmr5  <6-7>  cmr6 <7-8>  cmr7  <8-9>cmr8
   <9-10>cmr9 <10-12>cmr10 <12-17>cmr12 <17->cmr17}{}
\DeclareFontShape{OT1}{cmr}{m}{sl}
  {<-9>cmsl8 <9-10>cmsl9 <10-12>cmsl10 <12->cmsl12}{}
\DeclareFontShape{OT1}{cmr}{m}{it}
  {<-8>  cmti7  <8-9>  cmti8  <9-10>  cmti9
   <10-12>cmti10 <12->cmti12}{}
\DeclareFontShape{OT1}{cmr}{m}{sc}{<->cmcsc10}{}
\DeclareFontShape{OT1}{cmr}{m}{ui}{<->cmu10}{}
%%%%%%% bold series
\DeclareFontShape{OT1}{cmr}{b}{n}{<->cmb10}{}
%%%%%%% bold extended series
\DeclareFontShape{OT1}{cmr}{bx}{n}
   {<-6>   cmbx5  <6-7>cmbx6 <7-8>cmbx7 <8-10>cmbx9
    <10-12>cmbx10 <12->cmbx12}{}
\DeclareFontShape{OT1}{cmr}{bx}{sl}{<->cmbxsl10}{}
\DeclareFontShape{OT1}{cmr}{bx}{it}{<->cmbxti10}{}
%%%%%%% for \pound
\DeclareFontShape{OT1}{cmr}{bx}{ui}{<->sub*cmr/m/ui}{}
%%%%%%% sans serif
\DeclareFontShape{OT1}{cmss}{m}{n}
   {<-9>cmss8     <9-10>cmss9 <10-12>cmss10
    <12-17>cmss12 <17->cmss17}{}
\DeclareFontShape{OT1}{cmss}{m}{it}{<->sub*cmss/m/sl}{}
\DeclareFontShape{OT1}{cmss}{m}{sl}
   {<-9>cmssi8     <9-10>cmssi9 <10-12>cmssi10
    <12-17>cmssi12 <17->cmssi17}{}
\DeclareFontShape{OT1}{cmss}{m}{sc}{<->sub*cmr/m/sc}{}
\DeclareFontShape{OT1}{cmss}{m}{ui}{<->sub*cmr/m/ui}{}
\DeclareFontShape{OT1}{cmss}{sbc}{n}{<->cmssdc10}{}
\DeclareFontShape{OT1}{cmss}{bx}{n}{<->cmssbx10}{}
\DeclareFontShape{OT1}{cmss}{bx}{ui}{<->sub*cmr/bx/ui}{}
%%%%%%% typewiter
\DeclareFontShape{OT1}{cmtt}{m}{n}
   {<-9>cmtt8 <9-10>cmtt9 <10-12>cmtt10 <12->cmtt12}{}
\DeclareFontShape{OT1}{cmtt}{n}{it}{<->cmitt10}{}
\DeclareFontShape{OT1}{cmtt}{m}{sl}{<->cmsltt10}{}
\DeclareFontShape{OT1}{cmtt}{m}{sc}{<->cmtcsc10}{}
\DeclareFontShape{OT1}{cmtt}{m}{ui}{<->ssub*cmtt/m/it}{}
\DeclareFontShape{OT1}{cmtt}{bx}{n}{<->ssub*cmtt/m/n}{}
\DeclareFontShape{OT1}{cmtt}{bx}{it}{<->ssub*cmtt/m/it}{}
\DeclareFontShape{OT1}{cmtt}{bx}{ui}{<->ssub*cmtt/m/it}{}
%%%%%%% math italic
\DeclareFontShape{OML}{cmm}{m}{it}%
   {<-6>cmmi5    <6-7>cmmi6 <7-8>cmmi7 <8-9>cmmi8
    <9-12>cmmi10 <12->cmmi12}{}
\DeclareFontShape{OML}{cmm}{b}{it}
   {<-6>cmmib5   <6-7>cmmib6  <7-8>cmmib7   <8-9>cmmib8
    <9-10>cmmib9 <10->cmmib10}{}
\DeclareFontShape{OML}{cmm}{bx}{it}{<->ssub*cmm/b/it}{}
%%%%%%% math symbols
\DeclareFontShape{OMS}{cmsy}{m}{n}
   {<-6>cmsy5   <6-7>cmsy6 <7-8>cmsy7 <8-9>cmsy8
    <9-10>cmsy9 <10->cmsy10}{}
\DeclareFontShape{OMS}{cmsy}{b}{n}
   {<-6>cmbsy5   <6-7>cmbsy6 <7-8>cmbsy7 <8-9>cmbsy8
    <9-10>cmbsy9 <10->cmbsy10}{}


%% pn̂߂̂ӂ̃jbg
\newdimen \JQ	\JQ .259817mm	%%%	\JQ/\Q = 10pt/9.62216pt
\newdimen \Q	\Q  .25mm	%%%	Quarter of 1mm

%% ô߂̃JE^[
\newcounter{summary}
\setcounter{summary}{1}

\def\normalsize{%
   \@setfontsize\normalsize{13\Q}{23\Q}%
   \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\normalsize
\setbox0\hbox{\char\euc"A1A1}%
\setlength\Cht{\ht0}
\setlength\Cdp{\dp0}
\setlength\Cwd{\wd0}
\setlength\Cvs{\baselineskip}
\setlength\Chs{\wd0}
\def\small{%
   \@setfontsize\small\@viipt{11}%
   \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus2\p@
   \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
   \belowdisplayskip \abovedisplayskip
   \def\@listi{%
      \leftmargin\leftmargini
      \topsep\z@ \parsep\z@ \itemsep\parsep}}
\def\footnotesize{%
   \@setfontsize\footnotesize{11.5\Q}{17.5\Q}%
   \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus\p@
   \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
   \belowdisplayskip \abovedisplayskip
   \def\@listi{%
      \leftmargin\leftmargini
      \topsep\z@ \parsep\z@ \itemsep\parsep}}
\def\scriptsize{\@setfontsize\scriptsize\@viipt\@viiipt}
\def\tiny{\@setfontsize\tiny\@vpt\@vipt}
\def\large{\@setfontsize\large\@xpt{17}}
\def\Large{\@setfontsize\Large\@xipt{17}}
\def\LARGE{\@setfontsize\LARGE\@xiipt{25}}
\def\huge{\@setfontsize\huge\@xivpt{28}}
\def\Huge{\@setfontsize\Huge\@xxpt{33}}
\def\Small{\@setfontsize\Small{8pt}{12}}
\def\HeaderSize{\@setfontsize\HeaderSize{12\Q}{12\Q}}
\def\CaptionSize{\@setfontsize\CaptionSize{11.5\Q}{12\Q}}
\def\hyosize{\@setfontsize\hyosize{13\Q}{18\Q}}
\def\chusize{\@setfontsize\chusize{11\Q}{12\Q}}
\def\nombresize{\@setfontsize\nombresize{12\Q}{12\Q}}
\def\headersize{\@setfontsize\headersize{12\Q}{12\Q}}
\def\summarysize{\@setfontsize\summarysize{13\Q}{20\Q}}
\def\ChapterNumberSize{\@setfontsize\ChapterNumberSize{30\Q}{20\Q}}
\def\IndexSize{\@setfontsize\IndexSize{11\Q}{18\Q}}
\def\IndexBulletSize{\@setfontsize\IndexBulletSize{7\Q}{18\Q}}
\def\IndexNoteSize{\@setfontsize\IndexNoteSize{10\Q}{18\Q}}
\def\OkudukeSize{\@setfontsize\OkudukeSize{10\Q}{16\Q}}
\def\ChoshaSize{\@setfontsize\ChoshaSize{11.5\Q}{17.5\Q}}
\def\ChoshaSizeNEW{\@setfontsize\ChoshaSizeNEW{11\Q}{16\Q}}
\def\ChoshaNameSize{\@setfontsize\ChoshaNameSize{18\Q}{16\Q}}
%%%%%%%%%%%%%%%%%%%%
\def\TitleSize{\@setfontsize\TitleSize{28\Q}{40\Q}}
\def\AuthorSize{\@setfontsize\AuthorSize{20\Q}{16\Q}}
\def\HeaderSize{\@setfontsize\HeaderSize{16\Q}{16\Q}}
\def\SectionSize{\@setfontsize\SectionSize{14\Q}{21\Q}}
\def\SubSectionSize{\@setfontsize\SubSectionSize{13\Q}{15\Q}}
\def\BibSize{\@setfontsize\BibSize{10.5\Q}{14\Q}}
\def\AbstSize{\@setfontsize\AbstSize{12.5\Q}{16\Q}}
\def\TokushuTitleSize{\@setfontsize\TokushuTitleSize{15\Q}{16\Q}}
%%%%%%%%%%%%%%%%%%%%
\def\ShohyoCategorySize{\@setfontsize\ShohyoCategorySize{16\Q}{16\Q}}
\def\ShohyoAuthorSize{\@setfontsize\ShohyoAuthorSize{15\Q}{16\Q}}
\def\ShohyoTitleSize{\@setfontsize\ShohyoTitleSize{18\Q}{18\Q}}
%%%%%%%%%%%%%%%%%%%%
\paperheight257mm
\paperwidth182mm
\hoffset\z@ \voffset\z@
\setlength\headheight{9mm}
\setlength\headsep{4mm}
\setlength\topskip{1\Cht}
\setlength\footskip{0mm}
\setlength\maxdepth{.5\topskip}
\setlength\marginparwidth{.75in}
\setlength\marginparsep{7pt}
\iftwocol
	\setlength\textwidth{45zw}
\else % (onecol)
	\setlength\textwidth{35zw}
\fi

%\setlength\textheight{25\baselineskip}\advance\textheight by\topskip% 
\setlength\textheight{841\Q}
%texthegiht=26Line
\setlength\columnsep{2zw}
\columnseprule\z@
\iftwocol
	\setlength\oddsidemargin{\paperwidth}\advance\oddsidemargin-\textwidth
	\setlength\evensidemargin{.5\oddsidemargin}
	\setlength\oddsidemargin{\evensidemargin}
\else % (onecol)
	\setlength\oddsidemargin{201.5\Q}
	\setlength\evensidemargin{201.5\Q}
\fi
\setlength\topmargin{12.5mm}
\advance\topmargin-1in
\advance\oddsidemargin-1in
\advance\evensidemargin-1in

\advance\topmargin-3mm

% ʊmu
\newcounter{volpage} % ʊmu
\newcounter{@volpageoffset} % O܂ł̑y[W

\def\Volpageoffset#1{\setcounter{@volpageoffset}{#1}} %

 \def\thevolpage{\setcounter{volpage}{\value{page}}%
  \addtocounter{volpage}{\value{@volpageoffset}}%
   \hbox to33\Q{m\hfil\arabic{volpage}\hfiln}}

%%% r
\footnotesep13\Q
\@tempdima\baselineskip
\advance\@tempdima by-\Cht
\skip\footins\@tempdima
\skip\@mpfootins = \skip\footins
%%% floati1ig̐ݒ肾j
\floatsep\@tempdima \@plus 2\p@ \@minus\p@
\textfloatsep15.5pt \@plus0pt \@minus2pt
\intextsep\@tempdima \@plus 2\p@ \@minus\p@
\@fptop\z@ \@plus 1fil
\@fpsep\z@ \@plus 1fil
\@fpbot\z@ \@plus 1fil
\setcounter{topnumber}{2}
\setcounter{bottomnumber}{2}
\setcounter{totalnumber}{3}
\def\topfraction{.8}
\def\bottomfraction{.8}
\def\textfraction{.2}
\def\floatpagefraction{.7}
%%% listr̊̃p[^̈ꕔ
\parskip\z@
%%% iiigj
\parskip\z@
\parindent1zw
\lineskip\p@
\normallineskip\p@
\def\baselinestretch{}
%%% ėp penalty
\@lowpenalty51
\@medpenalty151
\@highpenalty301
%%% \fboxp̃p[^
\fboxsep3\p@
\fboxrule.4\p@
\def\ps@plain{%
   \let\@mkboth\@gobbletwo
   \let\ps@jpl@in\ps@plain
   \def\@oddhead{\hfill\small\thepage}%
   \let\@oddfoot\@empty
   \def\@evenhead{\small\thepage\hfill}%
   \let\@evenfoot\@oddfoot}
\let\ps@jpl@in\ps@plain
\def\ps@headings{%
   \let\ps@jpl@in\ps@plain
   \let\@mkboth\markboth
   \iftwocol
   \def\@evenhead{\hbox to146.7mm{\nombresize\hbox to33\Q{\thepage\hfill}\hfill\gubashira\hfill\hbox to33\Q{\thevolpage}}}%
   \def\@oddhead{\hbox to146.7mm{\nombresize\hbox to33\Q{\thevolpage}\hfill\kibashira\hfill\hbox to33\Q{\hfill\thepage}}}%
   \else
   \def\@evenhead{\hspace*{-131\Q}\hbox to146.7mm{\nombresize\hbox to33\Q{\thepage\hfill}\hfill\gubashira\hfill\hbox to33\Q{\thevolpage}}}%
   \def\@oddhead{\hspace*{-131\Q}\hbox to146.7mm{\nombresize\hbox to33\Q{\thevolpage}\hfill\kibashira\hfill\hbox to33\Q{\hfill\thepage}}}%
   \fi
   \def\@evenfoot{}%
   \def\@oddfoot{}%
   \def\chaptermark##1{\markboth{%
      \@chapapp\thechapter\@chappos\hskip1zw##1}{}}%
   \def\sectionmark##1{%
      \markright{\thesection\hskip1zw##1}}}

\def\ps@titlepage{%
   \let\ps@jpl@in\ps@plain
   \let\@mkboth\markboth
   \iftwocol
   \def\@evenhead{\hbox to146.7mm{\nombresize\hbox to33\Q{\thepage\hfill}\hfill\hbox to33\Q{\thevolpage}}}%
   \def\@oddhead{\hbox to146.7mm{\nombresize\hbox to33\Q{\thevolpage}\hfill\hbox to33\Q{\hfill\thepage}}}%
   \else
   \def\@evenhead{\hspace*{-131\Q}\hbox to146.7mm{\nombresize\hbox to33\Q{\thepage\hfill}\hfill\hbox to33\Q{\thevolpage}}}%
   \def\@oddhead{\hspace*{-131\Q}\hbox to146.7mm{\nombresize\hbox to33\Q{\thevolpage}\hfill\hbox to33\Q{\hfill\thepage}}}%
   \fi
   \def\@evenfoot{}%
   \def\@oddfoot{}%
%   \def\@evenhead{\hspace*{10pt}\small\leftmark\hfill}%
%   \def\@oddhead{\small\hfill\rightmark\normalsize\hspace*{10pt}}%
   \def\chaptermark##1{\markboth{%
      \@chapapp\thechapter\@chappos\hskip1zw##1}{}}%
   \def\sectionmark##1{%
      \markright{\thesection\hskip1zw##1}}}
\def\ps@kantougen{%
   \let\ps@jpl@in\ps@plain
   \let\@mkboth\markboth
   \def\@evenhead{\nombresize\hbox to33\Q{\thepage\hfill}\hfill\hbox to33\Q{\thevolpage}}%
   \def\@oddhead{\nombresize\hbox to33\Q{\thevolpage}\hfill\hbox to33\Q{\hfill\thepage}}%
   \def\@oddfoot{\vbox to2mm{\vfill\hbox to\textwidth{\vrule width\textwidth height.12mm}}}%
   \def\@evenfoot{\@oddfoot}%
}
\def\ps@gakkaikiji{%
   \let\ps@jpl@in\ps@plain
   \let\@mkboth\markboth
   \def\@evenhead{\vbox{\vskip6.5mm\hbox to\textwidth{\nombresize\hbox to33\Q{\thepage\hfill}\hfill\hbox to33\Q{\thevolpage}}\vskip3.5mm\rule{\textwidth}{0.12mm}\vskip212mm\rule{\textwidth}{0.12mm}}}%
   \def\@oddhead{\vbox{\vskip6.5mm\hbox to\textwidth{\nombresize\hbox to33\Q{\thevolpage}\hfill\hbox to33\Q{\hfill\thepage}}\vskip3.5mm\rule{\textwidth}{0.12mm}\vskip212mm\rule{\textwidth}{0.12mm}}}%
   \let\@oddfoot\@empty%
   \let\@evenfoot\@empty%
}
\def\ps@plain{\let\@mkboth\@gobbletwo
   \let\@oddfoot\@empty
   \let\evenfoot\@empty
   \def\@evenhead{\small
      \hbox{@}\thepage\hfill}%
   \def\@oddhead{\small\hfill\thepage\hbox{@}}}%
\let\ps@jpl@in\ps@plain
\def\publisher#1{\gdef\@publisher{#1}}
\def\@publisher{\relax}
\long\def\COPYRIGHT#1{\gdef\@COPYRIGHT{#1}}
\let\@COPYRIGHT\@empty

\newcounter{section}
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\def\thepart{\@Roman\c@part}
\def\thechapter{\@arabic\c@chapter}
\def\thesection{\@arabic\c@section}
%\def\thesubsection{\hskip.5\Cwdi\hskip-.01\Q\@arabic\c@subsection\hskip.01\Qj\hskip-1\Cwd}
\def\thesubsection{\@arabic\c@section.\,\@arabic\c@subsection}
\def\thesubsubsection{\@arabic\c@subsubsection}
\def\@chapapp{\prechaptername}
\def\@chappos{\postchaptername}
%\@addtoreset{equation}{section}
\def\theequation{\@arabic\c@equation}
%\@addtoreset{footnote}{section}
\long\def\@makefntext#1{%
   %\parindent1zw
   %\noindent\hbox to 2zw{\hss\@makefnmark}#1}
   \noindent\@makefnmark\,#1}
\def\footnoterule{%
   \kern-3\p@
   \hrule width .4\columnwidth
   \kern2.6\p@}

\setcounter{secnumdepth}{3}
\def\section{\@startsection{section}{2}%
   {-77\Q}{10pt plus1\Q minus1\Q}
   {10\Q plus1\Q minus1\Q}
   {%\hskip-1\Cwd
   \vrule width	0pt	%% ̍ق܂ 0pt ɂB
	 height	18pt		%% y[W \topskip ɓ͂悤ɁB
	 depth	0pt		%% { 1 sڂɐڂ悤ɁB
	 \bf\SectionSize}}
\def\subsection{\@startsection{subsection}{3}%
   {12.5\Q}{34\Q}{1sp plus1sp minus2\Q}{\bf\SubSectionSize}}
%\def\subsubsection{\@startsection{subsubsection}{3}%
%   {-14\Q}{34\Q}{1sp plus1sp minus2\Q}{\bf\SubsectionSize}}
\def\author#1{\def\@author{#1}}
\def\point#1{\def\@point{#1}}
\def\keyword#1{\def\@keyword{#1}}
\def\appendix{%
   \par
   \setcounter{chapter}{0}%
   \setcounter{section}{0}%
   \def\@chapapp{\appendixname}%
   \def\@chappos{\space}%
   \def\thechapter{\@Alph\c@chapter}}
\setlength\leftmargini  {2\Cwd}
\setlength\leftmarginii {2\Cwd}
\setlength\leftmarginiii{2\Cwd}
\setlength\leftmarginiv {2\Cwd}
\setlength\leftmarginv  {\Cwd}
\setlength\leftmarginvi {\Cwd}
\setlength\labelsep     {\Cwd}
\labelwidth\leftmargini \advance\labelwidth-\labelsep
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\def\@listi{%
   \leftmargin\leftmargini
   \labelwidth\leftmargini \advance\labelwidth-\labelsep
   \parsep\z@ \topsep\z@ \itemsep\z@}
\let\@listI\@listi
\@listi
\def\@listii{%
   \leftmargin\leftmarginii
   \labelwidth\leftmarginii \advance\labelwidth-\labelsep
   \parsep\z@ \topsep\z@ \itemsep\z@}
\def\@listiii{%
   \leftmargin\leftmarginiii
   \labelwidth\leftmarginiii \advance\labelwidth-\labelsep
   \parsep\z@ \topsep\z@ \itemsep\z@}
\def\@listiv{%
   \leftmargin\leftmarginiv
   \labelwidth\leftmarginiv \advance\labelwidth-\labelsep}
\def\@listv{%
   \leftmargin\leftmarginv
   \labelwidth\leftmarginv \advance\labelwidth-\labelsep}
\def\@listvi{%
   \leftmargin\leftmarginvi
   \labelwidth\leftmarginvi \advance\labelwidth-\labelsep}
%\def\theenumi{\@arabic\c@enumi}%
%\def\theenumii{\@alph\c@enumii}%
%\def\theenumiii{\@roman\c@enumiii}%
%\def\theenumiv{\@Alph\c@enumiv}%
%\def\labelnumi{\theenumi.}%
%\def\labelnumii{(\theenumi)}%
%\def\labelnumiii{\theenumiii.}%
%\def\labelnumiv{(\theenumiv)}%
%\def\p@enumi{}%
%\def\p@enumii{\theenumi}%
%\def\p@enumiii{\theenumi(\theenumii)}%
%\def\p@enumiv{\p@enumiii\theenumiii}%
%\def\enumerate{%
%   \ifnum \@enumdepth>\thr@@
%      \@toodeep
%   \else
%      \advance\@enumdepth\@ne
%      \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
%      \list{\csname label\@enumctr\endcsname}%
%         {\usecounter{\@enumctr}%
%          \def\makelabel##1{\hss\llap{##1}}}%
%   \fi}
%\def\endenumerate{\endlist}

\renewcommand{\theenumi}{\@arabic\c@enumi}
\renewcommand{\theenumii}{\@alph\c@enumii}
\renewcommand{\theenumiii}{\@roman\c@enumiii}
\renewcommand{\theenumiv}{\@Alph\c@enumiv}
\newcommand{\labelenumi}{\theenumij}
\newcommand{\labelenumii}{(\theenumii)}
\newcommand{\labelenumiii}{\theenumiii.}
\newcommand{\labelenumiv}{\theenumiv.}
\renewcommand{\p@enumii}{\theenumi}
\renewcommand{\p@enumiii}{\theenumi(\theenumii)}
\renewcommand{\p@enumiv}{\p@enumiii\theenumiii}
\renewenvironment{enumerate}
  {\ifnum \@enumdepth >3\relax\@toodeep\else
   \advance\@enumdepth\@ne
   \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \list{\csname label\@enumctr\endcsname}{%
%         \ifnum \@listdepth=\@ne \topsep.5\normalbaselineskip
%           \else\topsep\z@\fi
         \topsep\z@
         \parskip\z@ \itemsep\z@ \parsep\z@
             \itemindent 1zw
         \labelwidth1zw \labelsep.75zw
         \iftwocol
         \ifnum \@enumdepth=\@ne \leftmargin.5zw\relax
           \else\leftmargin\leftskip\fi
         \else
         \ifnum \@enumdepth=\@ne \leftmargin1zw\relax
           \else\leftmargin\leftskip\fi
         \fi
         \advance\leftmargin 1zw
         \usecounter{\@enumctr}%
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

%\def\labelitemi{\textbullet}
%\def\labelitemii{{\normalfont\bfseries\textendash}}
%\def\labelitemiii{\textasteriskcentered}
%\def\labelitemiv{\textperiodcentered}
%\def\itemize{%
%   \ifnum \@itemdepth>\thr@@
%      \@toodeep
%   \else
%      \advance\@itemdepth\@ne
%      \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
%      \expandafter\list\csname\@itemitem\endcsname
%         {\def\makelabel##1{\hss\llap{##1}}}%
%   \fi}
%\def\enditemize{\endlist}

\newcommand{\labelitemi}{\textbullet}
\newcommand{\labelitemii}{%
  \iftdir
     {\textcircled{~}}
  \else
     {\normalfont\bfseries\textendash}
  \fi
}
\newcommand{\labelitemiii}{\textasteriskcentered}
\newcommand{\labelitemiv}{\textperiodcentered}
\renewenvironment{itemize}
  {\ifnum \@itemdepth >3\relax\@toodeep\else
   \advance\@itemdepth\@ne
   \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
   \expandafter
   \list{\csname \@itemitem\endcsname}{%
         \topsep\z@
         \parskip\z@ \itemsep\z@ \parsep\z@
         \itemindent 1zw
         \labelwidth1zw \labelsep1zw
         \iftwocol
         \ifnum \@itemdepth=\@ne \leftmargin1zw\relax
           \else\leftmargin\leftskip\fi
         \else
         \ifnum \@itemdepth=\@ne \leftmargin1zw\relax
           \else\leftmargin\leftskip\fi
         \fi
         \advance\leftmargin 1zw
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

\def\description{%
   \list{}{%
      \labelwidth\z@
      \itemindent-\leftmargin
      \let\makelabel\descriptionlabel}}
\def\enddescription{\endlist}
\def\descriptionlabel#1{%
   \hspace\labelsep\normalfont\bfseries #1}
\def\verse{%
   \let\\\@centercr
   \list{}{
      \itemsep\z@ \itemindent -2zw
      \listparindent\itemindent
      \rightmargin\leftmargin \advance\leftmargin 2zw}%
   \item\relax}
\def\endverse{\endlist}
\def\quotation{%
   \list{}{%
      \listparindent 1zw
      \itemindent\listparindent
      \rightmargin\z@
      \parsep\z@ \@plus\p@}%
   \item\relax}
\def\endquotation{\endlist}
\def\quote{%
   \list{}{}%
   \item\relax}
\def\endquote{\endlist}
\newcounter{figure}
\def\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\thefigure}
\def\figure{\@float{figure}}
\def\endfigure{\end@float}
\@namedef{figure*}{\@dblfloat{figure}}
\@namedef{endfigure*}{\end@dblfloat}
\newcounter{table}
\def\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\thetable}
\def\table{\@float{table}}
\def\endtable{\end@float}
\@namedef{table*}{\@dblfloat{table}}
\@namedef{endtable*}{\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{1.5mm}
\setlength\belowcaptionskip{2mm}
\def\@@Figure{table}
\long\def\@makecaption#1#2{{\bf\CaptionSize%
\ifx\@captype\@@Figure
  \vskip0mm
\else
  \vskip\abovecaptionskip
\fi
    \sbox\@tempboxa{\textbf{#1}\hskip1zw#2}%
  \ifdim \wd\@tempboxa >\hsize
      \textbf{\textbf{#1}\hskip1zw#2}\relax\par
  \else
    \global \@minipagefalse
    \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
\ifx\@captype\@@Figure
 \vskip2mm
\else
  \vskip\belowcaptionskip
\fi
}}
\arraycolsep5\p@
\tabcolsep6\p@
\arrayrulewidth.4\p@
\doublerulesep2\p@
\tabbingsep\labelsep
\DeclareSymbolFont{mincho}{JY1}{mc}{m}{n}
\DeclareSymbolFontAlphabet{\mathmc}{mincho}
\SetSymbolFont{mincho}{bold}{JY1}{gt}{m}{n}
\DeclareMathAlphabet{\mathgt}{JY1}{gt}{m}{n}
\reDeclareMathAlphabet{\mathrm}{\@mathrm}{\@mathmc}
\reDeclareMathAlphabet{\mathbf}{\@mathbf}{\@mathgt}
\jfam\symmincho
\DeclareOldFontCommand{\mc}{\normalfont\mcfamily}{\mathmc}
\DeclareOldFontCommand{\gt}{\normalfont\gtfamily}{\mathgt}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*{\cal}{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*{\mit}{\@fontswitch\relax\mathnormal}
\def\@pnumwidth{1.75zw}
\def\@tocrmarg{3zw}
%\def\@dotsep{4.5}
\newdimen\@lnumwidth
%\newdimen\toclineskip \toclineskip\z@
\def\toclineskip{\z@ \@plus \z@ \@minus \z@}
\setcounter{tocdepth}{2}
\def\tableofcontents{%
   \thispagestyle{titlepage}
   \begin{center}%
   %\section*{\contentsname}%
   \vspace*{0.8\baselineskip}
   \huge\bfseries\contentsname
   \vspace*{0.8\baselineskip}
   \end{center}%
   \@mkboth{\contentsname}{\contentsname}%
   \@starttoc{toc}}
\def\l@part#1#2{%
   \addpenalty{-\@highpenalty}%
   \addvspace{1.5\baselineskip}%
   \begingroup
   \parindent\z@
   \rightskip\@pnumwidth
   \parfillskip-\rightskip
   {\edef\part@num{\@firstoftwo#1\@empty\@empty}%
    \protected@edef\part@name{\@secondoftwo#1\@empty\@empty}%
    \leavevmode\LARGE\bfseries
    \@lnumwidth=1zw
    \interlinepenalty\@M
    \leftskip\@lnumwidth \advance\leftskip 1zw
    \hskip-\leftskip
    \hbox to\@lnumwidth{%
       \prepartname\part@num\hss\postpartname}%
    \hskip 1zw
    \part@name\nobreak\hfil\nobreak
    \hbox to\@pnumwidth{\hss#2}%
    \par}%
   \nobreak
   \global\@nobreaktrue
   \everypar{\global\@nobreakfalse\everypar{}}%
   \endgroup}
\def\numberline#1{\hbox to\@lnumwidth{#1\hfill}}
\def\l@chapter#1#2{%
   \addpenalty{-\@highpenalty}%
   \addvspace{.5\baselineskip}%
   \begingroup
   \parindent\z@
   \rightskip\@pnumwidth
   \parfillskip-\rightskip
   \leavevmode\Large\bfseries
   \setlength\@lnumwidth{4.5zw}%
   \interlinepenalty\@M
   \advance\leftskip\@lnumwidth \hskip-\leftskip
   #1\hskip.25zw\nobreak\hfil\nobreak\leaders\hbox to1zw{c}\hfill\nobreak
       \hbox to\@pnumwidth{\hss#2}\par
   \penalty\@highpenalty
   \endgroup}
\def\l@section      {\def\@tocfont{\bfseries}\@dottedtocline{1}{-1.5zw}{3zw}}
\def\l@subsection   {\def\@tocfont{\mdseries}\@dottedtocline{2}{1zw}{3.5zw}}
\def\l@subsubsection{\@dottedtocline{3}{6zw}{3.5zw}}
\def\@dottedtocline#1#2#3#4#5{%
   \ifnum #1>\c@tocdepth \else
      \vskip\toclineskip\relax
      {\setlength{\leftskip}{#2}\relax
       \rightskip\@tocrmarg
       \parfillskip-\rightskip
       \parindent#2\relax
       \@afterindenttrue
       \interlinepenalty\@M
       \leavevmode
       \@lnumwidth#3\relax
       \advance\leftskip\@lnumwidth
       %\null\nobreak
       \hbox{}%
       %\hskip-\leftskip
       {\@tocfont#4}\nobreak\hskip1zw
       \hbox to\@pnumwidth{%
          \hss\reset@font\rmfamily \normalcolor #5}%
       \leaders\hbox to.3333zw{}\hfill\nobreak
       \par}%
    \fi}
\def\listoffigures{%
   \chpater*{\listfigurename}%
   \@mkboth{\listfigurename}{\listfigurename}%
   \@starttoc{lof}}
\def\l@figure{\@dottedtocline{1}{1zw}{2zw}}
\def\listoftables{%
   \chapter*{listtablename}%
   \@mkboth{\listtablename}{\listtablename}%
   \@starttoc{lot}}
\let\l@table\l@figure

%%%%%%%%%%%% Ql %%%%%%%%%%%%
\iftwocol
	\def\BibTitle{\ \par\noindent\SectionSize{\bf Q\kern.33zwl\kern.33zw\kern.33zw}\par\vskip.5\baselineskip}
\else
	\def\BibTitle{\choshaJohoIndent}
\fi
\let\newblock\space
\iftwocol
\def\thebibliography#1{%
\BibTitle
\BibSize
   \list{\@biblabel{\theenumiv}}%
      {\settowidth\labelwidth{\@biblabel{#1}}%
       \leftmargin1zw
       \itemindent2zw
       \labelsep1zw
       %\advance\leftmargin\labelsep
       \usecounter{enumiv}%
       \let\p@enumiv\@empty
       \def\theenumiv{\@arabic\c@enumiv}}%
   \sloppy
   \clubpenalty4000
   \@clubpenalty\clubpenalty
   \widowpenalty4000
   \sfcode`\.\@m}
\else
\def\thebibliography#1{%
\ \par
\hskip-37mm\textgt{\ChoshaSizemQln}\\[-8mm]
\BibSize
   \list{\@biblabel{\theenumiv}}%
      {\settowidth\labelwidth{\@biblabel{#1}}%
       \leftmargin16\Q
       \itemindent2zw
       \labelsep1zw
       %\advance\leftmargin\labelsep
       \usecounter{enumiv}%
       \let\p@enumiv\@empty
       \def\theenumiv{\@arabic\c@enumiv}}%
   \sloppy
   \clubpenalty4000
   \@clubpenalty\clubpenalty
   \widowpenalty4000
   \sfcode`\.\@m}
\fi
\def\endthebibliography{%
   \def\@noitemerr{%
      \@latex@worning{Empty `thebibliography' environment}}%
   \endlist}
\def\@biblabel#1{\hbox to2zw{m\hss#1\hssn}}

\def\abstract#1{\def\@abstract{#1}}

\def\outputabstract{%
	\begin{tabular}{lp{35zw}}
		\textbf{mAbstractn} & 
		{\AbstSize\@abstract}
	\end{tabular}
	}

\def\indexname{}
\def\figurename{}}
\def\tablename{\}
\def\appendixname{t\hskip2zw^}
%ftHg̃y[WX^C
\ifgakkai
\pagestyle{gakkaikiji}
\else
\pagestyle{headings}
\fi
\pagenumbering{arabic}


\def\hvhline{\noalign{\hrule \@height 2\arrayrulewidth}}
\def\hvvline{\vrule \@width 2\arrayrulewidth}

%% sh
% height adjusting environment
% you must use this as separate paragraph

\newbox\adjustbox
\newdimen\adjustheight
\newcount\adjustlinecount

\newenvironment{adjustvboxheight}{%\message{prevdepth=\the\prevdepth}
\vskip-\prevdepth\vskip1.4454pt % to cancel out various depth and set
                               % it to normal 1.445pt.  For this to
                               % work properly, it is necessary to use
                               % this environment as a separate paragraph!!
\global\setbox\adjustbox=\vbox\bgroup%
\hsize\columnwidth }{\egroup%
\adjustheight=\ht\adjustbox%
\advance\adjustheight \dp\adjustbox%
\divide\adjustheight\baselineskip \adjustlinecount=\adjustheight%
\advance\adjustlinecount by 1 %
\adjustheight=\adjustlinecount\baselineskip%
% you must ajust the position of top box somehow!!!
%\vskip-.5\Q\vskip-1.445pt\vspace*{.5\Q}\vspace*{1.445pt}%
\vskip-1.445pt\noindent
%\fboxrule=0.01pt\fboxsep=0pt% for debugging
\vskip 6pt plus6pt minus6pt % = 1/2 gap
%\noindent\fbox{\vbox to\adjustheight{\vfil\box\adjustbox\vfil}}%
\noindent\vbox to\adjustheight{\vfil\box\adjustbox\vfil}%
\vskip -2pt plus2pt minus2pt % = 1/2 gap
\vskip-1.445pt\noindent
}



%% 
\def\frac#1#2{\genfrac{}{}{0.1mm}{}{\hspace{.25zw}#1\hspace{.25zw}}{\hspace{.25zw}#2\hspace{.25zw}}}

%% \̑r
\def\hvhline{\noalign{\hrule \@height 2\arrayrulewidth}}
\def\hvvline{\vrule \@width 2\arrayrulewidth}

%% }\̒
\def\fignote#1{\vskip2mm{\scriptsize #1}}

\newcommand{\nibun}{\hskip.5zw}
\newcommand{\shibun}{\hskip.25zw}

%% LaTeX2e 쐬
% \ruby{{}{r}
\newdimen\mytempdima
\newcommand{\ruby}[2]{%
\leavevmode
\setbox0=\hbox{#1}%
\mytempdima=\f@size\p@
\setbox1=\hbox{\fontsize{.5\mytempdima}{0pt}\selectfont #2}%
\ifdim\wd0>\wd1 \dimen0=\wd0 \else \dimen0=\wd1 \fi
\hbox{%
\kanjiskip=0pt plus 2fil
\xkanjiskip=0pt plus 2fil
\vbox{%
\hbox to\dimen0{%
\fontsize{.5\mytempdima}{0pt}\selectfont \hfil#2\hfil}%
\nointerlineskip
\hbox to\dimen0{\mathstrut\hfil#1\hfil}}}}


%%%%%%%%%% Qp[i@j
%\newcommand{\i}{\hskip-.5zwi\hskip.5zw}
\newcommand{\i}{\inhibitgluei\kern0pt\nobreak}
\newcommand{\j}{\nobreak\kern0ptj\inhibitglue}
\inhibitxspcode`i=1 % ƋNp[̊ԂJȂ

\def\maru#1{\raisebox{.2mm}{\textcircled{\raisebox{-.2mm}{\small #1}}}}

\newcommand{\zsp}{\hspace{1zw}}
\newcommand{\nsp}{\hspace{.5zw}}
\newcommand{\ssp}{\hspace{.25zw}}

\def\nibun{\hskip.5zw}
\def\shibun{\hskip.25zw}
\def\i{\inhibitgluei}
\def\j{\inhibitgluej}
\def\paren#1{{\i\hskip.125zw#1\hskip.125zw\j}}
\def\ds{\displaystyle}
\def\bab{\begin{adjustvboxheight}}
\def\eab{\end{adjustvboxheight}}
\def\dotline{  {\centering\includegraphics{../style/leaderline.eps}}
  \vspace*{-1.5\baselineskip}}


%%%%%%%%%% i͂j̑gݕ

% 
\newcounter{@kan_su}% 
\newcounter{@gou_su}% 
\newcounter{@nen_su}% N
\def\Volume#1{\setcounter{@kan_su}{#1}}
\def\Number#1{\setcounter{@gou_su}{#1}}

% gݗĂ
\def\kibashira{VOL.\,\arabic{@kan_su}\hskip1zw{}NO.\,\arabic{@gou_su}\hskip1zw{}%
\ifcase\value{@gou_su}\or MAR. \or JUN. \or SEP. \or DEC. \else\fi\ {}%
\setcounter{@nen_su}{1990}\addtocounter{@nen_su}{\value{@kan_su}}\arabic{@nen_su}}

\def\gubashira{@p@@}


%%%%%%%%%% ȓgݕ

\long\def\@makefntext#1{\hskip-1zw\hbox to1zw{\hfill$\dag\@thefnmark$}\hskip1zw#1}

\def\@makefnmark{\smash{\hbox{$^{\dag\@thefnmark}$}}} % smashed to make it


%%%%%%%%%% Cfg̒` %%%%%%%%%%

\def\choshaJohoIndent{%
  \@setpar{{\@@par}}%
\parshape 1 16mm 34zw
  \ignorespaces}


%%%%%%%%%%% ؂ւs` %%%%%%%%%%
\long\def\@footnotetext#1{\insert\footins{%
    \reset@font\footnotesize\ChuIndent
    \interlinepenalty\interfootnotelinepenalty
    \splittopskip\footnotesep
    \splitmaxdepth \dp\strutbox \floatingpenalty \@MM
    \hsize\columnwidth \@parboxrestore\leftskip10\Q
        \ifnum\value{footnote}>9\hangindent=20\Q\advance\hangindent by 5.2pt
        \else\hangindent=20\Q\fi \hangafter=1
    \protected@edef\@currentlabel{%
       \csname p@footnote\endcsname\@thefnmark
    }%
    \color@begingroup
      \@makefntext{%
        \rule\z@\footnotesep\ignorespaces#1\@finalstrut\strutbox}%
    \color@endgroup}}%


\iftwocol
% r̕TCYύX
\def\footnotesize{%
   \@setfontsize\footnotesize{10\Q}{15\Q}%
   \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus\p@
   \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
   \belowdisplayskip \abovedisplayskip
   \def\@listi{%
      \leftmargin\leftmargini
      \topsep\z@ \parsep\z@ \itemsep\parsep}}

% ȓٕ̍ύX
\long\def\@footnotetext#1{\insert\footins{%
    \reset@font\footnotesize\ChuIndent
    \interlinepenalty\interfootnotelinepenalty
    \splittopskip\footnotesep
    \splitmaxdepth \dp\strutbox \floatingpenalty \@MM
    \hsize\columnwidth \@parboxrestore\leftskip22\Q
        \ifnum\value{footnote}>9\hangindent=0\Q\advance\hangindent by 5.2pt
        \else\hangindent=0\Q\fi \hangafter=1
    \protected@edef\@currentlabel{%
       \csname p@footnote\endcsname\@thefnmark
    }%
    \color@begingroup
      \@makefntext{%
        \rule\z@\footnotesep\ignorespaces#1\@finalstrut\strutbox}%
    \color@endgroup}}%

\fi
%%%%%%%%%%% wb_[ %%%%%%%%%%
\ifcase\the@headstyle
\iftokushu
\def\JarticleHeader{\hbox to146.7mm{\noindent\rule{146.7mm}{0.6mm}}}% 0c1~r̂
\else
\def\JarticleHeader{\vbox {\noindent\rule{\textwidth}{0.6mm}\\[-0.5mm]\textgt{\HeaderSize\hskip5mm\@category}\\[-3mm]\rule{\textwidth}{0.12mm}}}% _̏ꍇJeS[悤ύXi2013.11.07j
\fi
\or
\def\JarticleHeader{\vbox {\noindent\rule{\textwidth}{0.6mm}\\[-0.5mm]\textgt{\HeaderSize\hskip5mm\@category}\\[-3mm]\rule{\textwidth}{0.12mm}}}% 1cJeS[
\or
\def\JarticleHeader{\noindent\rule{\textwidth}{3mm}}% 2cʏ_
\or
\def\JarticleHeader{\vbox {\noindent\rule{\textwidth}{0.12mm}\\[-0.5mm]\hbox to\textwidth{\hss\textgt{\HeaderSize\@category}\hss}\\[-3mm]\rule{\textwidth}{0.12mm}}}% 3cc
\or
\def\JarticleHeader{\noindent\rule{\textwidth}{.12mm}}%
\or
\def\JarticleHeader{\noindent\rule{\textwidth}{3mm}}%W_
\fi

%%%%%%%%%%% ^Cg %%%%%%%%%%

\def\tokushutitle#1{\def\@tokushutitle{#1}}

\def\@maketitle{%
\iftwocol % ig݂̏ꍇ
	\ifgakkai
		\thispagestyle{gakkaikiji}
		\vbox to 66\Q{% 
		\setlength{\tabcolsep}{1mm}
		\begin{tabular}{lll}
		\raisebox{-1mm}{\textbf{\AuthorSize wL}} & \hskip55mm113--0032 & s퐶2416\\[-1.5mm]
		&& wZ^[r4K\\[-1.5mm]
		&& {pw\\[-1.5mm]
		&& TEL 03--5684--8649\\[-1.5mm]
		&& FAX 03--5684--8663\\[-1.5mm]
		&& http://www.jsiam.org/
		\end{tabular}
		}
	\else
	\ifshohyo
		\vbox to69\Q{% 
		\thispagestyle{titlepage}
		\noindent\JarticleHeader
		%\vskip6mm
		%{\noindent\hskip5mm\TitleSize\hskip-.5zwm\textgt{]}n}\\[4mm]
		%{\noindent\hskip5mm\AuthorSize\@author}\par
		}
	\else
		\vbox to351\Q{% vZ220Hcc(219)
		\thispagestyle{titlepage}
		\noindent\JarticleHeader
		\iftokushu
			\ \\[3mm]
			\fbox{\TokushuTitleSize\ShingoB\@tokushutitle}
			\vskip6mm
		\else
			\vskip21mm%
		\fi
		{\noindent\hskip5mm\gt\TitleSize\@title}\\[14mm]
		{\noindent\hskip5mm\AuthorSize\@author}\par
		\vfill
		}
	\fi
	\fi
\else % ig̏ꍇ
\ifkantou % 
\vbox to161\Q{%
\noindent\JarticleHeader
\vskip6mm
{\centering
{\gt\TitleSize\@title}\\[4mm]
{\centering\AuthorSize\@author}\par
}
}
\else %
\vbox to217\Q{%
\noindent\JarticleHeader
\iftokushu
\ \\[3mm]
\hspace*{-130\Q}\fbox{\TokushuTitleSize\ShingoB\@tokushutitle}
\vskip6mm
\else
\vskip6mm
\fi
{\hspace*{-125\Q}\gt\TitleSize\@title}\\[4mm]
{\hspace*{-114\Q}\AuthorSize\@author}\par
}
\fi
\ifkantou
  \@setpar{{\@@par}}%
\parshape 1 5zw 35zw
  \ignorespaces
  \thispagestyle{kantougen}
\else
%  \@setpar{{\@@par}}%
%\parshape 1 10zw 35zw
  \ignorespaces
  \thispagestyle{titlepage}
\fi
\fi
}

\def\maketitle{%
\iftwocol
\twocolumn[\@maketitle]
\else
\@maketitle
\fi
}

\newcounter{hcount}
\iftwocol
	\def\ChuIndent{}
	\def\footnoterule{\kern0.5mm \hbox{\vbox{\hrule width30mm height0.12mm}} \kern1.5mm}
	%\def\hissha#1#2{%
	%	\ifnum\thehcount<1
	%		\insert\footins{\ChoshaSize#2}
	%		\stepcounter{hcount}
	%	\else
	%		\insert\footins{\vskip7.5\Q\ChoshaSize#2}
	%	\fi
	%}
	\else
	\def\ChuIndent{%
		\@setpar{{\@@par}}%
		\parshape 1 16\Q 38zw
		\ignorespaces}
	\def\footnoterule{\kern0.5mm \hbox{\hskip0\Q \vbox{\hrule width30mm height0.12mm}} \kern1.5mm}
%	\def\hissha#1#2{%
%	\insert\footins{\ChoshaSize%
%	\choshaJohoIndent
%	\ifnum\thehcount<1
%		\hskip-53mm\textgt{mMҏЉn}\\[-3mm]
%		\hskip-16mm\noindent\includegraphics[width=15mm]{#1}
%			\stepcounter{hcount}
%	\else
%		\vskip7.5\Q
%		\hskip-19mm\noindent\includegraphics[width=15mm]{#1}
%	\fi
%\par\vskip-20.5mm\noindent{#2}}}
%	\def\hisshadraft#1#2{%
%	\insert\footins{\ChoshaSize%
%	\choshaJohoIndent
%	\ifnum\thehcount<1
%		\hskip-53mm\textgt{mMҏЉn}\\[-3mm]
%		\hskip-16mm\noindent\vbox{\hrule\hbox{\vrule\vbox to18mm{\hbox to15mm{}}\vrule}\hrule}
%			\stepcounter{hcount}
%	\else
%		\vskip7.5\Q
%		\hskip-19mm\noindent\vbox{\hrule\hbox{\vrule\vbox to18mm{\hbox to15mm{}}\vrule}\hrule}
%	\fi
%\par\vskip-20.5mm\noindent{#2}}}
\fi




%%%%%%%%%%% ig݂̏ꍇ̍Ē` %%%%%%%%%%
\iftwocol
% {̕TCY
	\ifgakkai
	\setlength\textheight{804.5\Q}
	\setlength\headsep{9.5mm}
	\def\normalsize{%
		\@setfontsize\normalsize{12.5\Q}{22\Q}%
		\abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
		\abovedisplayshortskip \z@ \@plus3\p@
		\belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
		\belowdisplayskip \abovedisplayskip
		\let\@listi\@listI}
	\def\section{\@startsection{section}{2}%
   {12.5\Q}{30.5\Q plus1\Q minus8\Q}
   {10\Q plus1\Q minus8\Q}
   {\bf\SectionSize}}
   \def\subsection{\@startsection{subsection}{3}%
   {12.5\Q}{30.5\Q}{1sp plus1sp minus2\Q}{\bf\SubSectionSize}}
   \else
	\setlength\textheight{848.5\Q}
	\def\normalsize{%
		\@setfontsize\normalsize{12.5\Q}{22\Q}%
		\abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
		\abovedisplayshortskip \z@ \@plus3\p@
		\belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
		\belowdisplayskip \abovedisplayskip
		\let\@listi\@listI}
	\def\section{\@startsection{section}{2}%
   {12.5\Q}{30.5\Q plus1\Q minus8\Q}
   {.001\Q plus1\Q minus8\Q}
   {\bf\SectionSize}}
   \def\subsection{\@startsection{subsection}{3}%
   {12.5\Q}{30.5\Q}{1sp plus1sp minus2\Q}{\bf\SubSectionSize}}
\fi\fi


%%%%%%%%%%% ig𑵂݂̖ %%%%%%%%%%

% To balance the final page,
% following code is borrowed from nicetwocolumn style
\newdimen\dimen@@

\def\balancecolumns{\setbox0\vbox{\unvbox\@outputbox} \dimen@@=\ht0
   \advance\dimen@@ by\topskip \advance\dimen@@ by-\baselineskip
   \divide\dimen@@ by2 \splittopskip=\topskip
   {\vbadness=10000 \loop \global\setbox3=\copy0
     \global\setbox1=\vsplit3 to\dimen@@
     \ifdim\ht3>\dimen@@ \global\advance\dimen@@ by1pt\repeat}
   \ifdim\dimen@@>\textheight \dimen@@=\textheight\fi
   \setbox0=\vbox to \dimen@@{\unvbox1} \setbox2=\vbox to \dimen@@{\unvbox3}
   \if\ht0>\ht2 \setbox2=\vbox to\ht0{\unvbox2}\dimen@@=\ht0\else
   \if\ht2>\ht0 \setbox0=\vbox to\ht2{\unvbox0}\dimen@@=\ht2\fi\fi
  \wd0=\hsize \wd2=\hsize
%\message{in balancecolumns dimen@@=\the\dimen@@, dp0=\the\dp0, dp2=\the\dp2}
\ifdim\dp0>\dp2\advance\dimen@@ by\dp0\else\advance\dimen@@ by\dp2\fi
\setbox\@outputbox\vbox to\dimen@@{\hbox to\textwidth{\box0\hfil\box2}
%% _̏ꍇ̂݁CAuXgNgo
\ifnum\the@headstyle=0
\vspace*{\baselineskip}
\outputabstract
\fi
\vfill}}


% you can refrain from balancing by falsifying following switch!
\newif\if@lastpagebalancing \@lastpagebalancingtrue % default is to balance

% incorporate balanced output to \enddocument
\def\enddocument{\if@lastpagebalancing \global\let\@outputdblcol=\balancing@outputdblcol\fi%
\@checkend{document}\clearpage
\begingroup  
\if@filesw \immediate\closeout\@mainaux 
\def\global\@namedef##1##2{}\def\newlabel{\@testdef r}%
\def\bibcite{\@testdef b}\@tempswafalse \makeatletter\input \jobname.aux
\if@tempswa \@warning{Label(s) may have changed.  Rerun to get
cross-references right}\fi\fi\endgroup
\deadcycles\z@\@@end}


\newlength{\@interlinegap}

% to change \interlinegap appropriately at appropriate time
\def\@outputdblcol{\if@firstcolumn \global\@firstcolumnfalse
    \global\setbox\@leftcolumn\box\@outputbox
% Following interlinegap value may be wrong!!
% It is set to gap+depth for normalsize, and depth(2.031999Q) for footnotesize.
% This setting is inconsistent, but seems to work properly now.
%\ifx \@currsize\normalsize \global\@interlinegap 8.54815pt\else% setup
% reset to 10Q after final page footnote hack!
\ifx \@currsize\normalsize \global\@interlinegap 10\Q\else% setup
 \ifx \@currsize\footnotesize \global\@interlinegap 2.03199\Q\else% appropriate
  \ifx \@currsize\small \global\@interlinegap 3.08713pt\fi\fi\fi% gap here!
  \else \global\@firstcolumntrue
\if@leftfootnoteexist\setbox\@leftcolumn\vbox to\@colht{\boxmaxdepth\maxdepth
\@texttop\dimen128=\dp\@leftcolumn
\unvbox\@leftcolumn\vskip\skip\footins\footnoterule%
%\message{in outputdblcol leftcolumnfootnote=ht:\the\ht\@leftcolumnfootnote, dp:\the\dp\@leftcolumnfootnote, wd:\the\wd\@leftcolumnfootnote}
\unvbox\@leftcolumnfootnote
\vskip-\dimen128\@textbottom}
\global\maxdepth\@maxdepth\else
\setbox\@leftcolumn\vbox to\@colht{\boxmaxdepth\maxdepth
\@texttop\dimen128=\dp\@leftcolumn
\unvbox\@leftcolumn\vfill%
\vskip-\dimen128\@textbottom}
\global\maxdepth\@maxdepth\fi
\if@rightfootnoteexist\setbox\@outputbox\vbox to\@colht{\boxmaxdepth\maxdepth
\@texttop\dimen128=\dp\@outputbox
\unvbox\@outputbox\vskip\skip\footins\footnoterule%
%\message{in outputdblcol rightcolumnfootnote=ht:\the\ht\@rightcolumnfootnote, dp:\the\dp\@rightcolumnfootnote, wd:\the\wd\@rightcolumnfootnote}
\unvbox\@rightcolumnfootnote
\vskip-\dimen128\@textbottom}
\global\maxdepth\@maxdepth\else
\setbox\@outputbox\vbox to\@colht{\boxmaxdepth\maxdepth
\@texttop\dimen128=\dp\@outputbox
\unvbox\@outputbox\vfill%
\vskip-\dimen128\@textbottom}
\global\maxdepth\@maxdepth\fi
    \setbox\@outputbox\vbox{\hbox to\textwidth{\hbox to\columnwidth
      {\box\@leftcolumn \hss}\hfil \vrule width\columnseprule\hfil
       \hbox to\columnwidth{\box\@outputbox \hss}}}\@combinedblfloats
       \@outputpage \begingroup \@dblfloatplacement \@startdblcolumn
       \@whilesw\if@fcolmade \fi{\@outputpage\@startdblcolumn}\endgroup
    \fi}

\def\balancing@outputdblcol{\if@firstcolumn %\global\@firstcolumnfalse
 \else \global\@firstcolumntrue
  \setbox\@outputbox\vbox{\unvbox\@leftcolumn\vskip\@interlinegap%
   \penalty\interlinepenalty\unvbox\@outputbox}
 \fi
 \balancecolumns \@combinedblfloats
\if@leftfootnoteexist\setbox\@outputbox\vbox to\@colht{\boxmaxdepth\maxdepth
\@texttop\dimen128=\dp\@outputbox
\unvbox\@outputbox\vfill\vskip\skip\footins\footnoterule%
%\message{in balancing@outputdblcol leftcolumnfootnote=ht:\the\ht\@leftcolumnfootnote, dp:\the\dp\@leftcolumnfootnote, wd:\the\wd\@leftcolumnfootnote}
\unvbox\@leftcolumnfootnote
\if@rightfootnoteexist
%\message{in balancing@outputdblcol rightcolumnfootnote=ht:\the\ht\@rightcolumnfootnote, dp:\the\dp\@rightcolumnfootnote, wd:\the\wd\@rightcolumnfootnote}
\unvbox\@rightcolumnfootnote\fi
\vskip-\dimen128
\@textbottom}
\global\maxdepth\@maxdepth\fi
 \@outputpage \begingroup \@dblfloatplacement \@startdblcolumn
 \@whilesw\if@fcolmade \fi{\@outputpage\@startdblcolumn}\endgroup}

\newbox\@leftcolumnfootnote \newbox\@rightcolumnfootnote
\newif\if@leftfootnoteexist \newif\if@rightfootnoteexist

% Extra \@texttop somehow found its way into \@makecol.  Deleted
% 1 Dec 86.  (Found by Mike Harrison)

\def\@makecol{\if@twocolumn
\if@firstcolumn
\ifvoid\footins \setbox\@outputbox\box\@cclv
%\message{in makecol @outputbox=(\the\ht\@outputbox, \the\dp\@outputbox, \the\wd\@outputbox)}
\global\@leftfootnoteexistfalse
   \else\global\@leftfootnoteexisttrue
\setbox\@outputbox\box\@cclv
%\message{in makecol with foot @outputbox=(\the\ht\@outputbox, \the\dp\@outputbox, \the\wd\@outputbox)}
\global\setbox\@leftcolumnfootnote\box\footins
%\message{in makecol leftcolumnfootnote=ht:\the\ht\@leftcolumnfootnote, dp:\the\dp\@leftcolumnfootnote, wd:\the\wd\@leftcolumnfootnote}
\fi
     \xdef\@freelist{\@freelist\@midlist}\gdef\@midlist{}\@combinefloats
\else %if@firstcolumn
\ifvoid\footins \setbox\@outputbox\box\@cclv
%\message{in makecol right @outputbox=(\the\ht\@outputbox, \the\dp\@outputbox, \the\wd\@outputbox)}
\global\@rightfootnoteexistfalse
   \else\global\@rightfootnoteexisttrue
\setbox\@outputbox\box\@cclv
%\message{in makecol right with foot @outputbox=(\the\ht\@outputbox, \the\dp\@outputbox, \the\wd\@outputbox)}
\global\setbox\@rightcolumnfootnote\box\footins
%\message{in makecol rightcolumnfootnote=ht:\the\ht\@rightcolumnfootnote, dp:\the\dp\@rightcolumnfootnote, wd:\the\wd\@rightcolumnfootnote}
\fi
     \xdef\@freelist{\@freelist\@midlist}\gdef\@midlist{}\@combinefloats
\fi %if@firstcolumn
\else % if@twocolumn
\ifvoid\footins \setbox\@outputbox\box\@cclv
   \else\setbox\@outputbox
     \vbox{\boxmaxdepth \maxdepth
     \unvbox\@cclv\vskip\skip\footins\footnoterule\unvbox\footins}\fi
     \xdef\@freelist{\@freelist\@midlist}\gdef\@midlist{}\@combinefloats
     \setbox\@outputbox\vbox to\@colht{\boxmaxdepth\maxdepth
        \@texttop\dimen128=\dp\@outputbox\unvbox\@outputbox
        \vskip-\dimen128\@textbottom}%
     \global\maxdepth\@maxdepth
\fi}


%===================================================
% ]ev[g
%===================================================
\def\#1{\def\BookCategory{#1}}
\def\#1{\def\BookAuthor{#1}}
\def\#1{\def\BookTitle{#1}}
\def\oŎ#1{\def\BookPublisher{#1}}
\def\oŔN#1{\def\BookYear{#1}}
\def\]Ҏ#1{\def\BookReviewer{#1}}
\def\]҂#1{\def\BookReviewerYomi{#1}}
\def\]ҏ#1{\def\BookReviewerBelongs{#1}}
%===================================================

\newenvironment{review}[1]
{\noindent
\textbf{\ShohyoTitleSize\BookTitle}\\[2mm]
{\ShohyoAuthorSize \BookAuthor}\\[2mm]
{\ShohyoAuthorSize\BookPublisher{}C\BookYear{}N}
\begin{flushright}
\BookReviewer
\end{flushright}%
\hissha{}{\BookReviewerYomi{}D\BookReviewerBelongs{}D}
\vskip5mm
#1}{\relax}



%% _EW_̕MҏЉ
\ifnum\the@headstyle=0
\def\footnoterule{\kern0.5mm \hbox{\vbox{\hrule width30mm height0mm}} \kern1.5mm}
% MҏЉ
\newbox\hisshaBox
\def\hisshastart{\setlength\tabcolsep{0mm}
\begin{tabular}{p{18mm}p{15mm}p{1mm}p{112mm}}
\multicolumn{4}{l}{{\vrule width \textwidth height.12mm depth0mm}}\\[-1mm]}
\def\hisshaend{\end{tabular}}

\newenvironment{hisshashoukai}
{\setbox\hisshaBox=\hbox to\linewidth\bgroup%
\hisshastart
}
{\hisshaend\egroup
% MҏЉo
\insert\footins{\copy\hisshaBox}
% MҏЉ̍Zoi\compensateSpace Ŏgpj
\newdimen\hisshaBoxHeight
\hisshaBoxHeight=\the\dp\hisshaBox{}
\advance\hisshaBoxHeight\the\ht\hisshaBox{}
\advance\hisshaBoxHeight by -3mm
% Eiɋ󔒂o͂R}h \compensateSpace
\xdef\compensateSpace{\insert\footins{\vbox to\the\hisshaBoxHeight{}}}
}%
%
% MҋL
\def\hissha#1#2{%
\ifnum\thehcount<1
\hisshaA{#1}{#2}
\stepcounter{hcount}
\else
\hisshaB{#1}{#2}
\stepcounter{hcount}
\fi
}
% MҋLiʐ^Ȃj
\def\hisshadraft#1#2{%
\ifnum\thehcount<1
\hisshaDraftA{#2}
\stepcounter{hcount}
\else
\hisshaDraftB{#2}
\stepcounter{hcount}
\fi
}
\else% \the@headstyle neq 0
\def\footnoterule{\kern0.5mm \hbox{\vbox{\hrule width30mm height0.12mm}} \kern1.5mm}
%% _EW_ȊO̕MҏЉ
	\def\ChuIndent{}
	\newenvironment{hisshashoukai}{\relax}{\relax}
	\def\hissha#1#2{%
		\ifnum\thehcount<1
		\insert\footins{\ChoshaSizeNEW#2}
		\stepcounter{hcount}
	\else
		\insert\footins{\vskip7.5\Q\ChoshaSizeNEW#2}
	\fi
	}
\fi


%% MҏЉ̃p[c
\def \hisshaA#1#2{% MҏЉC1l
\textgt{mMҏЉn}& 
\vskip-2mm\includegraphics[width=15mm]{#1} &&
\ChoshaSizeNEW#2
}
\def\hisshaB#1#2{% MҏЉC2lڈȍ~
\\[-1mm] &\vskip-2mm\includegraphics[width=15mm]{#1} &&
\ChoshaSizeNEW#2
}
\def \hisshaDraftA#1{% MҏЉʐ^ȂC1l
\textgt{mMҏЉn}& 
\vskip-2mm\vbox{\hrule\hbox{\vrule\vbox to18mm{\hbox to15mm{}}\vrule}\hrule} &&
\ChoshaSize#1
}
\def\hisshaDraftB#1{% MҏЉʐ^ȂC2lڈȍ~
\\[-1mm] &\vskip-2mm\vbox{\hrule\hbox{\vrule\vbox to18mm{\hbox to15mm{}}\vrule}\hrule} &&
\ChoshaSize#1
}


\endinput